Subject: Re: bug#62207: 29.0.60; Trying to remove non-existent key binding instead adds a binding

From: Robert Pluim <[email-masked]>
Date: Fri, 17 Mar 2023 09:54:05 +0100

>>>>> On Fri, 17 Mar 2023 10:23:37 +0200, Eli Zaretskii <[email-masked]> said:

    >> From: Stefan Monnier <[email-masked]>
    >> Cc: Jonas Bernoulli <[email-masked]>,  Lars Ingebrigtsen <[email-masked]>,
    >> [email-masked]
    >> Date: Wed, 15 Mar 2023 14:02:59 -0400
    >> 
    >> > Stefan, it sounds like the part of store_in_keymap after the label
    >> > keymap_end should do nothing if REMOVE is non-zero, am I right?
    >> 
    >> Sounds right, yes.

    Eli> Then Robert, please install on the emacs-29 branch the part of your
    Eli> suggested patch which fixes the problem with REMOVE.  The other part
    Eli> should go to master, I think.

The former I can do. Stefan seemed to object to the other part. Itʼs
also not been tested a great deal 😀

    >> This said, the semantics of REMOVE a bit murky, so I'd rather tell
    >> people not to use it.

    Eli> Robert, could you please say something to this effect in the doc
    Eli> string?

Sorry to be difficult, but why? I think the semantics are clear,
although Iʼd prefer it if the first line of the docstring for
`keymap-unset' said

    Unset key sequence KEY in KEYMAP.

to reduce confusion with the REMOVE argument.

Robert
--